org.apache.ignite.marshaller

## Interface MarshallerContext

All Known Implementing Classes:
  MarshallerContextImpl

    public interface MarshallerContext

Marshaller context.

### Method Summary

Methods
`Class` `getClass(int typeId, ClassLoader ldr)` Gets class for provided type ID.
`String` `getClassName(byte platformId, int typeId)` Gets class name for provided (platformId, typeId) pair.
`boolean` `isSystemType(String typeName)` Checks whether the given type is a system one - JDK class or Ignite class.
`boolean` `registerClassName(byte platformId, int typeId, String clsName)` Registers class with provided type ID.

### Method Detail

#### registerClassName

    boolean registerClassName(byte platformId,
                            int typeId,
                            String clsName)
                              throws IgniteCheckedException

Registers class with provided type ID.

Parameters:
  `typeId` - Type ID.
  `platformId` - id of a platform to register class.
  `clsName` - class name.
Returns:
  Whether class was registered.
Throws:
  `IgniteCheckedException` - In case of error.

#### getClass

    Class getClass(int typeId,
                 ClassLoader ldr)
                   throws ClassNotFoundException,
                          IgniteCheckedException

Gets class for provided type ID.

Parameters:
  `typeId` - Type ID.
  `ldr` - Class loader.
Returns:
  Class.
Throws:
  `ClassNotFoundException` - If class was not found.
  `IgniteCheckedException` - In case of any other error.

#### getClassName

    String getClassName(byte platformId,
                      int typeId)
                        throws ClassNotFoundException,
                               IgniteCheckedException

Gets class name for provided (platformId, typeId) pair.

Parameters:
  `platformId` - id of a platform the class was registered for.
  `typeId` - Type ID.
Returns:
  Class name
Throws:
  `ClassNotFoundException` - If class was not found.
  `IgniteCheckedException` - In case of any other error.

#### isSystemType

    boolean isSystemType(String typeName)

Checks whether the given type is a system one - JDK class or Ignite class.

Parameters:
  `typeName` - Type name.
Returns:
  `true` if the type is a system one, `false` otherwise.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.0.0
Release Date | : April 30 2017